<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pricings', function (Blueprint $table) {
            $table->id();
            $table->text('title');
            $table->string('price');
            $table->integer('type');
            $table->string('validity_length');
            $table->string('validity_type')->nullable();
            $table->string('minimum')->nullable();
            $table->string('minimum_type')->nullable();
            $table->integer('is_popular')->default(0)->comment('1=Popular');
            $table->integer('status')->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pricings');
    }
};
